#include <bits/stdc++.h>
using namespace std;
int tonguoc (int x)
{
    int t=0;
    for(int i=1;i<x;i++)
    {
        if(x%i==0)
        {
            t=t+i;
        }
    }
    return t;
}
int main()
{   ifstream f1("sohh.inp");
    ofstream f2("sohh.out");
    int n;
    f1>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    for (int i=0;i<n;i++)
    {
        if(tonguoc(a[i])==a[i])
        {
            f2<<a[i]<<endl;
        }
    }
}
